Index: trunk/ab5.0/abdev/abdev/include/MainFrame.h
===================================================================
--- trunk/ab5.0/abdev/abdev/include/MainFrame.h	(revision 500)
+++ trunk/ab5.0/abdev/abdev/include/MainFrame.h	(revision 501)
@@ -12,9 +12,18 @@
 public:
 
+	// WebブラウザでURLを開く
+	void OpenWebBrowser( const std::string &url );
+
+	// Explorerでパスを開く
+	void OpenExplorer( const std::string &path );
+
 	// 生成された
 	::LRESULT OnCreate( ::UINT msg, ::WPARAM wParam, ::LPARAM lParam, ::BOOL& handled );
 
+	// OSが終了する
+	BOOL OnQueryEndSession(UINT nSource, UINT uLogOff);
+
 	// 「閉じる」ボタンがクリックされた
-	::LRESULT OnClose( ::UINT msg, ::WPARAM wParam, ::LPARAM lParam, ::BOOL& handled );
+	void OnClose();
 
 	// リサイズされた
@@ -22,5 +31,5 @@
 
 	// 破棄された
-	::LRESULT OnDestroy( ::UINT msg, ::WPARAM wParam, ::LPARAM lParam, ::BOOL& handled );
+	void OnDestroy();
 
 	// タイマーイベント
@@ -155,4 +164,64 @@
 	// 「リリース実行」メニューがクリックされた
 	void OnCmdReleaseRun( UINT uNotifyCode, int nID, CWindow wndCtl );
+
+	// 「ステップイン」メニューがクリックされた
+	void OnCmdStepIn( UINT uNotifyCode, int nID, CWindow wndCtl );
+
+	// 「ステップオーバー」メニューがクリックされた
+	void OnCmdStepOver( UINT uNotifyCode, int nID, CWindow wndCtl );
+
+	// 「カーソル行まで実行」メニューがクリックされた
+	void OnCmdStepCursor( UINT uNotifyCode, int nID, CWindow wndCtl );
+
+	// 「ブレークポイント」メニューがクリックされた
+	void OnCmdBreakPoint( UINT uNotifyCode, int nID, CWindow wndCtl );
+
+	// 「デバッグの停止」メニューがクリックされた
+	void OnCmdDebugStop( UINT uNotifyCode, int nID, CWindow wndCtl );
+
+	// 「デバッグの一時停止」メニューがクリックされた
+	void OnCmdDebugPause( UINT uNotifyCode, int nID, CWindow wndCtl );
+
+	// Webリンクメニューがクリックされた
+	void OnCmdWebLink( UINT uNotifyCode, int nID, CWindow wndCtl );
+
+	// 「トピックス」メニューがクリックされた
+	void OnCmdTopics( UINT uNotifyCode, int nID, CWindow wndCtl );
+
+	// 「バージョン情報」メニューがクリックされた
+	void OnCmdAbout( UINT uNotifyCode, int nID, CWindow wndCtl );
+
+	// レバーの「ドキュメントセレクト」メニューがクリックされた
+	void OnCmdDocSelectBand( UINT uNotifyCode, int nID, CWindow wndCtl );
+
+	// レバーの「標準」メニューがクリックされた
+	void OnCmdStandardBand( UINT uNotifyCode, int nID, CWindow wndCtl );
+
+	// レバーの「リリース」メニューがクリックされた
+	void OnCmdReleaseBand( UINT uNotifyCode, int nID, CWindow wndCtl );
+
+	// レバーの「デバッグ」メニューがクリックされた
+	void OnCmdDebugBand( UINT uNotifyCode, int nID, CWindow wndCtl );
+
+	// レバーの「プラットフォーム選択」メニューがクリックされた
+	void OnCmdSelectCompilerBand( UINT uNotifyCode, int nID, CWindow wndCtl );
+
+	// レバーの「レバーを固定」メニューがクリックされた
+	void OnCmdNoGripper( UINT uNotifyCode, int nID, CWindow wndCtl );
+
+	// レバーの「レバーをリセット」メニューがクリックされた
+	void OnCmdResetRebar( UINT uNotifyCode, int nID, CWindow wndCtl );
+
+	// タブの「自分以外のウィンドウを閉じる」メニューがクリックされた
+	void OnCmdAllCloseOmitMyself( UINT uNotifyCode, int nID, CWindow wndCtl );
+
+	// タブの「絶対パスをコピー」メニューがクリックされた
+	void OnCmdPathCopy( UINT uNotifyCode, int nID, CWindow wndCtl );
+
+	// タブの「フォルダを開く」メニューがクリックされた
+	void OnCmdFolderOpen( UINT uNotifyCode, int nID, CWindow wndCtl );
+
+	// タブの「ファイルを削除」メニューがクリックされた
+	void OnCmdDeleteFile( UINT uNotifyCode, int nID, CWindow wndCtl );
 
 private:
@@ -160,6 +229,7 @@
 	BEGIN_MSG_MAP( MainFrame )
 		MESSAGE_HANDLER( WM_CREATE, OnCreate )
-		MESSAGE_HANDLER( WM_CLOSE, OnClose )
-		MESSAGE_HANDLER( WM_DESTROY, OnDestroy )
+		MSG_WM_QUERYENDSESSION( OnQueryEndSession )
+		MSG_WM_CLOSE( OnClose )
+		MSG_WM_DESTROY( OnDestroy )
 		MSG_WM_TIMER( OnTimer )
 		MSG_WM_DRAWCLIPBOARD( OnDrawClipboard )
@@ -222,4 +292,5 @@
 #endif
 		COMMAND_ID_HANDLER_EX( IDM_SET, OnCmdSet )
+#ifndef THETEXT
 		COMMAND_ID_HANDLER_EX( IDM_DEBUG, OnCmdDebug )
 		COMMAND_ID_HANDLER_EX( IDM_DEBUGCOMPILE, OnCmdDebugCompile )
@@ -227,4 +298,41 @@
 		COMMAND_ID_HANDLER_EX( IDM_RELEASECOMPILE, OnCmdReleaseCompile )
 		COMMAND_ID_HANDLER_EX( IDM_RELEASERUN, OnCmdReleaseRun )
+		COMMAND_ID_HANDLER_EX( IDM_STEP_IN, OnCmdStepIn )
+		COMMAND_ID_HANDLER_EX( IDM_STEP_OVER, OnCmdStepOver )
+		COMMAND_ID_HANDLER_EX( IDM_STEP_CURSOR, OnCmdStepCursor )
+		COMMAND_ID_HANDLER_EX( IDM_BREAKPOINT, OnCmdBreakPoint )
+		COMMAND_ID_HANDLER_EX( IDM_DEBUG_STOP, OnCmdDebugStop )
+		COMMAND_ID_HANDLER_EX( IDM_DEBUG_PAUSE, OnCmdDebugPause )
+		COMMAND_ID_HANDLER_EX( IDM_COMMUNITY, OnCmdWebLink )
+		COMMAND_ID_HANDLER_EX( IDM_COMMU_SEARCH, OnCmdWebLink )
+		COMMAND_ID_HANDLER_EX( IDM_COMMU_PM, OnCmdWebLink )
+		COMMAND_ID_HANDLER_EX( ID_COMMU_FORUM1, OnCmdWebLink )
+		COMMAND_ID_HANDLER_EX( ID_COMMU_FORUM2, OnCmdWebLink )
+		COMMAND_ID_HANDLER_EX( ID_COMMU_FORUM3, OnCmdWebLink )
+		COMMAND_ID_HANDLER_EX( ID_COMMU_FORUM4, OnCmdWebLink )
+		COMMAND_ID_HANDLER_EX( ID_COMMU_FORUM5, OnCmdWebLink )
+		COMMAND_ID_HANDLER_EX( ID_COMMU_FORUM6, OnCmdWebLink )
+		COMMAND_ID_HANDLER_EX( ID_COMMU_FORUM7, OnCmdWebLink )
+		COMMAND_ID_HANDLER_EX( ID_COMMU_FORUM8, OnCmdWebLink )
+		COMMAND_ID_HANDLER_EX( IDM_AB_WEBSITE, OnCmdWebLink )
+		COMMAND_ID_HANDLER_EX( IDM_ACTBDL, OnCmdWebLink )
+#else
+		COMMAND_ID_HANDLER_EX( IDM_DSHOMEPAGE, OnCmdWebLink )
+#endif
+		COMMAND_ID_HANDLER_EX( IDM_TOPIC, OnCmdTopics )
+		COMMAND_ID_HANDLER_EX( IDM_ABOUT, OnCmdAbout )
+		COMMAND_ID_HANDLER_EX( IDM_DOCSELECTBAND, OnCmdDocSelectBand )
+		COMMAND_ID_HANDLER_EX( IDM_STANDARDBAND, OnCmdStandardBand )
+#ifndef THETEXT
+		COMMAND_ID_HANDLER_EX( IDM_RELEASEBAND, OnCmdReleaseBand )
+		COMMAND_ID_HANDLER_EX( IDM_DEBUGBAND, OnCmdDebugBand )
+		COMMAND_ID_HANDLER_EX( IDM_SELECTCOMPILERBAND, OnCmdSelectCompilerBand )
+#endif
+		COMMAND_ID_HANDLER_EX( IDM_NOGRIPPER, OnCmdNoGripper )
+		COMMAND_ID_HANDLER_EX( IDM_RESET_REBAR, OnCmdResetRebar )
+		COMMAND_ID_HANDLER_EX( IDM_ALLCLOSE_OMIT_MYSELF, OnCmdAllCloseOmitMyself )
+		COMMAND_ID_HANDLER_EX( IDM_PATH_COPY, OnCmdPathCopy )
+		COMMAND_ID_HANDLER_EX( IDM_FOLDER_OPEN, OnCmdFolderOpen )
+		COMMAND_ID_HANDLER_EX( IDM_DELETE_FILE, OnCmdDeleteFile )
 	END_MSG_MAP()
 };
